Bug 957547 - %nodejs_symlink_deps --check fails when only devDependencies exists
Summary: %nodejs_symlink_deps --check fails when only devDependencies exists
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-28 23:18 UTC by Tom Hughes
Modified: 2013-05-29 17:35 UTC (History)
5 users (show)

Fixed In Version: nodejs-0.10.5-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-04 01:43:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Tom Hughes 2013-04-28 23:18:38 UTC
If a package.json file has devDependencies but not dependencies then %nodejs_symlink_deps --check will fail because it won't create the node_modules directory which means the subsequent link creation operations will fail.

Comment 1 T.C. Hollingsworth 2013-04-29 08:04:35 UTC
Huh?  AFAICT `%nodejs_symlink_deps --check` should completely no-op if there is no 'dependencies' key in package.json; everything it does was guarded with an if based on that.  It shouldn't have even tried to create any symlinks  Were you getting a Python traceback?  It might be indicative of another problem.

At any rate, I'll fix it not to no-op on the devDependencies case.

Comment 2 Tom Hughes 2013-04-29 08:06:14 UTC
Yes you're quite right about the details - that's what I get for diagnosing bugs later at night... The basic problem, that it doesn't work for a package that only has devDependencies remains however.

Comment 3 T.C. Hollingsworth 2013-04-29 11:49:00 UTC
Cool, just wanted to make sure there wasn't another bug somewhere before I pushed builds.  A fixed version is building now.

Comment 4 Fedora Update System 2013-04-29 13:54:30 UTC
nodejs-0.10.5-2.fc18, libuv-0.10.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-6657/libuv-0.10.5-1.fc18,nodejs-0.10.5-2.fc18

Comment 5 Fedora Update System 2013-04-29 13:56:12 UTC
nodejs-0.10.5-2.fc19, libuv-0.10.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-6568/libuv-0.10.5-1.fc19,nodejs-0.10.5-2.fc19

Comment 6 T.C. Hollingsworth 2013-04-29 14:32:53 UTC
Buildroot overrides for F19 and F18 are now live in koji.

Comment 7 Fedora Update System 2013-04-29 17:40:41 UTC
Package nodejs-0.10.5-2.fc19, libuv-0.10.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-0.10.5-2.fc19 libuv-0.10.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6568/libuv-0.10.5-1.fc19,nodejs-0.10.5-2.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-05-04 01:43:14 UTC
nodejs-0.10.5-2.fc19, libuv-0.10.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-05-04 19:02:13 UTC
libuv-0.10.5-1.el6,nodejs-0.10.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libuv-0.10.5-1.el6,nodejs-0.10.5-2.el6

Comment 10 Fedora Update System 2013-05-29 17:35:41 UTC
nodejs-0.10.5-3.el6, libuv-0.10.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.